Bug 1663320 - Remove Obsolete Scriptlets
Summary: Remove Obsolete Scriptlets
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 20:03 UTC by Ben Cotton
Modified: 2019-03-05 22:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-01-03 20:03:11 UTC
This is a tracking bug for Change: Remove Obsolete Scriptlets
For more details, see: https://fedoraproject.org/wiki/Changes/RemoveObsoleteScriptlets

Remove scriptlets which are not needed anymore (ldconfig, gtk-update-icon-cache, etc.).

Comment 1 Ben Cotton 2019-02-19 20:30:21 UTC
According to the Fedora 30 schedule[1], today is the deadline for changes to be in a testable state. If your change is ready to be tested, please set the status to MODIFIED. If you know your change will not be ready for Fedora 30, you can set the version to rawhide and notify bcotton@fedoraproject.org. For more information about this milestone, see the Changes Policy[2].

[1] https://fedoraproject.org/wiki/Releases/30/Schedule
[2] https://fedoraproject.org/wiki/Changes/Policy#Change_Checkpoint:_Completion_deadline

Comment 2 Tim Landscheidt 2019-03-04 00:32:42 UTC
Just noticed that the mass change left dangling "Requires(post): info" and "Requires(preun): info" (or "/sbin/install-info", "ldconfig" and other variants) in place ("grep -R 'Requires(\(post\|preun\)).*\b\(info\|ldconfig\)\b' ~/.cache/rpm-specs" gives 177 matches).  It would be nice if those could be cleaned up by a proven packager as well.  Thanks!

Comment 3 Ben Cotton 2019-03-05 21:49:57 UTC
We have reached the Code Complete (100%) milestone in the Fedora 30 development cycle. At this point, all Changes should be fully code complete and ready for testing during the beta freeze. If your Change has reached this milestone, please set the status to ON_QA. If it has not, this Change will be submitted to FESCo to evaluate the contigency plan and decide if the Change will continue in the Fedora 30 cycle.


Note You need to log in before you can comment on or make changes to this bug.